var segment = require('analytics.js');
var apiKey;
exports.init = function init(key) {
  apiKey = key;
  segment.load(apiKey);
  segment.page();
};

exports.client = segment;

exports.logEventWithUserProperties = function logEventWithUserProperties(
  eventName,
  eventProperties,
  userProperties
) {
  if (userProperties !== null && userProperties !== undefined) {
    segment.identify(userProperties.userId, userProperties);
  }
  segment.track(eventName, eventProperties);
};

exports.logEvent = function logEvent(eventName, eventProperties) {
  segment.track(eventName, eventProperties);
};

exports.setUserId = function setUserId(userId) {
  segment.identify(userId);
};

exports.setUserProperties = function setUserProperties(userId, userProperties) {
  segment.identify(userId, userProperties);
};
